Loading...
Searching...
No Matches
BALL::CIFFile::Datablock Class Reference

`#include <BALL/FORMAT/CIFFile.h>`

## Public Member Functions

void | clear ()
void | start (String blockname)
void | insertDatacontent (const Datacontent &content)
void | insertDatacontent (const SaveFrame &new_saveframe)
void | insertDatacontent (const Item &item)
const Item & | getDataItem (const String &item_name) const
Item & | getDataItem (const String &item_name)
const std::vector< Index > | getSaveframeIndicesByCategory (const String &name) const
std::vector< Index > | getSaveframeIndicesByCategory (const String &name)
std::vector< SaveFrame > | getSaveframesByCategory (const String &name) const
const SaveFrame & | getSaveframeByName (const String &name) const
SaveFrame & | getSaveframeByName (const String &name)
const SaveFrame & | getSaveframeByIndex (const Index index) const
SaveFrame & | getSaveframeByIndex (const Index index)
bool | hasSaveframeName (const String &name) const
bool | hasSaveframeCategory (const String &name) const
bool | hasItem (const String &name) const
void | setName (String blockname)
std::ostream & | operator>> (std::ostream &os) const

## Public Attributes

String | name
std::vector< Datacontent > | data
StringHashMap< Index > | saveframe_names
std::multimap< String, Index > | saveframe_categories
StringHashMap< Index > | item_names
Item | dummy_data_item_
SaveFrame | dummy_saveframe_
vector< SaveFrame > | dummy_saveframes_
vector< Index > | dummy_indices_

## Detailed Description

Nested class for the datablock entity of the CIFFile

Definition at line 139 of file CIFFile.h.

## Member Function Documentation

## clear()

void BALL::CIFFile::Datablock::clear | ( |  | ) |

Clears the Datablock

## getDataItem() [1/2]

Item & BALL::CIFFile::Datablock::getDataItem | ( | const String & | item_name | ) |

## getDataItem() [2/2]

const Item & BALL::CIFFile::Datablock::getDataItem | ( | const String & | item_name | ) | const

## getSaveframeByIndex() [1/2]

SaveFrame & BALL::CIFFile::Datablock::getSaveframeByIndex | ( | const Index | index | ) |

## getSaveframeByIndex() [2/2]

const SaveFrame & BALL::CIFFile::Datablock::getSaveframeByIndex | ( | const Index | index | ) | const

## getSaveframeByName() [1/2]

SaveFrame & BALL::CIFFile::Datablock::getSaveframeByName | ( | const String & | name | ) |

## getSaveframeByName() [2/2]

const SaveFrame & BALL::CIFFile::Datablock::getSaveframeByName | ( | const String & | name | ) | const

Returns the saveframe labeled 'name'.

## getSaveframeIndicesByCategory() [1/2]

std::vector< Index > BALL::CIFFile::Datablock::getSaveframeIndicesByCategory | ( | const String & | name | ) |

## getSaveframeIndicesByCategory() [2/2]

const std::vector< Index > BALL::CIFFile::Datablock::getSaveframeIndicesByCategory | ( | const String & | name | ) | const

Returns the saveframe of category name.

## getSaveframesByCategory()

std::vector< SaveFrame > BALL::CIFFile::Datablock::getSaveframesByCategory | ( | const String & | name | ) | const

## hasItem()

bool BALL::CIFFile::Datablock::hasItem | ( | const String & | name | ) | const

## hasSaveframeCategory()

bool BALL::CIFFile::Datablock::hasSaveframeCategory | ( | const String & | name | ) | const

## hasSaveframeName()

bool BALL::CIFFile::Datablock::hasSaveframeName | ( | const String & | name | ) | const

Returns true if the datablock contains a Saveframe of category name.

## insertDatacontent() [1/3]

void BALL::CIFFile::Datablock::insertDatacontent | ( | const Datacontent & | content | ) |

## insertDatacontent() [2/3]

void BALL::CIFFile::Datablock::insertDatacontent | ( | const Item & | item | ) |

## insertDatacontent() [3/3]

void BALL::CIFFile::Datablock::insertDatacontent | ( | const SaveFrame & | new_saveframe | ) |

## operator>>()

std::ostream & BALL::CIFFile::Datablock::operator>> | ( | std::ostream & | os | ) | const

## setName()

void BALL::CIFFile::Datablock::setName | ( | String | blockname | ) |

Sets the name of a Datablock

## start()

void BALL::CIFFile::Datablock::start | ( | String | blockname | ) |

Sets the name of a new Datablock

## Member Data Documentation

## data

std::vector<Datacontent> BALL::CIFFile::Datablock::data

Stores the datablock content

Definition at line 188 of file CIFFile.h.

## dummy_data_item_

Item BALL::CIFFile::Datablock::dummy_data_item_

Definition at line 198 of file CIFFile.h.

## dummy_indices_

vector<Index> BALL::CIFFile::Datablock::dummy_indices_

Definition at line 201 of file CIFFile.h.

## dummy_saveframe_

SaveFrame BALL::CIFFile::Datablock::dummy_saveframe_

Definition at line 199 of file CIFFile.h.

## dummy_saveframes_

vector<SaveFrame> BALL::CIFFile::Datablock::dummy_saveframes_

Definition at line 200 of file CIFFile.h.

## item_names

StringHashMap<Index> BALL::CIFFile::Datablock::item_names

Hashes the items

Definition at line 196 of file CIFFile.h.

## name

String BALL::CIFFile::Datablock::name

The name of this saveframe

Definition at line 185 of file CIFFile.h.

## saveframe_categories

std::multimap<String, Index> BALL::CIFFile::Datablock::saveframe_categories

Definition at line 193 of file CIFFile.h.

## saveframe_names

StringHashMap<Index> BALL::CIFFile::Datablock::saveframe_names

Hashes the saveframes - we assume, that they are unique

Definition at line 191 of file CIFFile.h.